Assignee:
Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 23120
Description

QGIS currently does not support No/Unkwon CRS. This leads to lots of confusion for new users. In addition, CRS is not always applicable
to layers loaded in QGIS. Here are a couple of use-cases:

Attribute tables with no geometry
When you load a CSV as an attribute table with no geometry, QGIS automatically applies the default CRS. This can trigger the OTF and
results in some confusions.

Unknow CRS
Sometimes user simply wants to add a layer and doesn't want to have a CRS assigned to it. Examples of that can be found in Maplinfo or
CAD.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-05-06 10:49 PM - Regis Haubourg

- Category set to Projection Support
- Description updated

| think it is done in master now, the unknown projection has been introduced by Nyall and OTF was removed.

#3 - 2017-05-30 09:26 AM - Saber Razmjooei
- Resolution set to fixed/implemented
- Status changed from Open to Closed
